#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#
#define debug_package %{nil}

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 module for downloading application assets
Name:           knewstuff
Version: 5.5.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/


BuildRequires:  kf5-macros

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5Test) 

BuildRequires:  attica-kf5-devel >= %version
BuildRequires:  kguiaddons-devel >= %version
BuildRequires:  kwidgetsaddons-devel >= %version
BuildRequires:  kdbusaddons-devel >= %version
BuildRequires:  kcoreaddons-devel >= %version
BuildRequires:  kauth-devel >= %version
BuildRequires:  kcodecs-devel >= %version
BuildRequires:  kconfig-devel >= %version
BuildRequires:  kconfigwidgets-devel >= %version
BuildRequires:  kcompletion-devel >= %version
BuildRequires:  kservice-devel >= %version
BuildRequires:  kwindowsystem-devel >= %version
BuildRequires:  ki18n-devel >= %version
BuildRequires:  kitemviews-devel >= %version
BuildRequires:  karchive-devel >= %version
BuildRequires:  kiconthemes-devel >= %version
BuildRequires:  sonnet-devel >= %version
BuildRequires:  ktextwidgets-devel >= %version
BuildRequires:  kglobalaccel-devel >= %version
BuildRequires:  kxmlgui-devel >= %version
BuildRequires:  solid-devel >= %version
BuildRequires:  kbookmarks-devel >= %version
BuildRequires:  kjobwidgets-devel >= %version
BuildRequires:  kio-devel >= %version

%description
KDE Frameworks 5 Tier 3 module for downloading application assets

%files 
%_kf5_datadir/kf5/knewstuff

#--------------------------------------------------------------------

%define kf5newstuff_major 5
%define libkf5newstuff %mklibname kf5newstuff %{kf5newstuff_major}

%package -n %libkf5newstuff
Summary:  KDE Frameworks 5 Tier 3 module for downloading application assets
Requires:     %name = %version-%release
Group:        System/Libraries

%description -n %libkf5newstuff
KDE Frameworks 5 Tier 3 module for downloading application assets

%files -n %libkf5newstuff -f %{name}5.lang
%_kf5_libdir/libKF5NewStuff.so.%{kf5newstuff_major}*

#--------------------------------------------------------------------

%define kf5newstuff_devel %mklibname kf5newstuff -d

%package -n %kf5newstuff_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5newstuff = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5newstuff_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5newstuff_devel
%_kf5_includedir/KNewStuff3
%_kf5_includedir/knewstuff_version.h
%_kf5_libdir/cmake/KF5NewStuff
%_kf5_libdir/*.so
%_libdir/qt5/mkspecs/modules/*.pri

#--------------------------------------------------------------------

%prep
%setup -q -n %name-%version

%build
%cmake_kf5
%make

%install
%makeinstall_std -C build
%find_lang %{name}5



%changelog
* Tue Dec 16 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803370
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 743792
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 681139
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660442
- New version 5.1.0

* Mon Jul 14 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 652241
- New version 5.0.0
- New version 4.100.0
- New version 4.99.0

* Sun Apr 06 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 612217
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599827
- New version 4.97.0

* Wed Feb 26 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 597480
- imported package knewstuff

